%define upstream_name    Math-Clipper
%define upstream_version 1.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Polygon clipping in 2D
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Math/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::CppGuess) >= 0.190.0
BuildRequires: perl(ExtUtils::Typemaps::Default) >= 0.50.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.180.0
BuildRequires: perl(Module::Build) >= 0.380.0
BuildRequires: perl(Module::Build::WithXSpp) >= 0.140.0
BuildRequires: perl(Test::Deep)
BuildRequires: perl-devel
%description
'Clipper' is a C++ (and Delphi) library that implements polygon clipping.

Exports
    The module optionally exports a few constants to your namespace.
    Standard Exporter semantics apply (including the ':all' tag).

    The list of exportable constants is comprised of the clip operation
    types (which should be self-explanatory):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes META.json META.yml MYMETA.yml
%{_mandir}/man3/*
%perl_vendorarch/*

%changelog
* Sat Jul 18 2020 tv <tv> 1.290.0-3.mga8
+ Revision: 1606989
- rebuild for perl-5.32 (binary package w/o a dep on libperl.so

* Sat Feb 15 2020 umeabot <umeabot> 1.290.0-2.mga8
+ Revision: 1526780
- Mageia 8 Mass Rebuild

* Sat Jun 29 2019 shlomif <shlomif> 1.290.0-1.mga8
+ Revision: 1415602
- update to 1.29

* Fri Sep 21 2018 umeabot <umeabot> 1.270.0-3.mga7
+ Revision: 1293423
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 1.270.0-2.mga7
+ Revision: 1249522
- Rebuild for perl 5.28

* Thu May 17 2018 shlomif <shlomif> 1.270.0-1.mga7
+ Revision: 1230063
- update to 1.27

* Sat May 05 2018 shlomif <shlomif> 1.260.0-1.mga7
+ Revision: 1226443
- update to 1.26

* Tue Oct 03 2017 tv <tv> 1.230.0-9.mga7
+ Revision: 1165307
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.230.0-8.mga7
+ Revision: 1159105
- rebuild with perl-5.26.x

* Sun Jun 19 2016 pterjan <pterjan> 1.230.0-7.mga6
+ Revision: 1029591
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.230.0-6.mga6
+ Revision: 957700
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 1.230.0-5.mga6
+ Revision: 842680
- Rebuild for perl 5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.230.0-4.mga5
+ Revision: 743178
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.230.0-3.mga5
+ Revision: 685354
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 1.230.0-2.mga5
+ Revision: 631444
- Rebuild for perl 5.20

* Fri May 23 2014 sander85 <sander85> 1.230.0-1.mga5
+ Revision: 625132
- update to 1.23

* Sat Oct 19 2013 umeabot <umeabot> 1.220.0-2.mga4
+ Revision: 525199
- Mageia 4 Mass Rebuild

* Wed May 29 2013 shlomif <shlomif> 1.220.0-1.mga4
+ Revision: 432491
- update to 1.22

* Wed May 29 2013 jquelin <jquelin> 1.160.0-3.mga4
+ Revision: 430876
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.160.0-2.mga3
+ Revision: 369586
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 03 2013 shlomif <shlomif> 1.160.0-1.mga3
+ Revision: 338087
- update to 1.16

* Sat Nov 17 2012 shlomif <shlomif> 1.150.0-1.mga3
+ Revision: 319174
- update to 1.15

* Tue Nov 06 2012 jquelin <jquelin> 1.140.0-1.mga3
+ Revision: 315136
- update to 1.14

* Wed Oct 24 2012 shlomif <shlomif> 1.110.0-1.mga3
+ Revision: 309558
- update to 1.11

* Wed Oct 17 2012 shlomif <shlomif> 1.100.0-1.mga3
+ Revision: 307622
- update to 1.10

* Tue Jul 03 2012 shlomif <shlomif> 1.90.0-1.mga3
+ Revision: 267074
- update to 1.09

* Thu May 31 2012 shlomif <shlomif> 1.70.0-3.mga3
+ Revision: 252443
- Add a BR on Module::Build::WithXSpp
- Add perl-devel to the BR
- imported package perl-Math-Clipper

